CFPRIME FTEST1                                                          FTEST1      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE FTEST1 (XINPUT,OUTPUT,MODE)                            FTEST1      3
CD                                                                      FTEST1      4
CD    USER WRITTEN FORTRAN BLOCK.                                       FTEST1      5
CD                                                                      FTEST1      6
C                                                                       FTEST1      7
      CHARACTER*1      MODE                                             FTEST1      8
      DIMENSION        XINPUT(20),OUTPUT(10)                            FTEST1      9
C                                                                       FTEST1     10
      OUTPUT(1) = XINPUT(1) + XINPUT(2) + XINPUT(3)                     FTEST1     11
      OUTPUT(2) = OUTPUT(1) * 2                                         FTEST1     12
      OUTPUT(3) = OUTPUT(1) * 3                                         FTEST1     13
      OUTPUT(4) = OUTPUT(1) * 4                                         FTEST1     14
C                                                                       FTEST1     15
      RETURN                                                            FTEST1     16
C                                                                       FTEST1     17
      ENTRY FTEST2 (XINPUT,OUTPUT,MODE)                                 FTEST1     18
CD                                                                      FTEST1     19
CD    USER WRITTEN FORTRAN BLOCK.                                       FTEST1     20
CD                                                                      FTEST1     21
      IF (MODE .EQ. 'I') THEN                                           FTEST1     22
         OUTPUT(1) = 1.0                                                FTEST1     23
      ELSE                                                              FTEST1     24
         OUTPUT(1) = XINPUT(1) + XINPUT(2)                              FTEST1     25
      END IF                                                            FTEST1     26
C                                                                       FTEST1     27
      RETURN                                                            FTEST1     28
C                                                                       FTEST1     29
      ENTRY ONOFF (XINPUT,OUTPUT,MODE)                                  FTEST1     30
CD                                                                      FTEST1     31
CD    USER WRITTEN FORTRAN BLOCK.                                       FTEST1     32
CD                                                                      FTEST1     33
      IF (MODE .EQ. 'I') THEN                                           FTEST1     34
         OUTPUT(1) = 0.0                                                FTEST1     35
      ELSE                                                              FTEST1     36
         IF(XINPUT(1) .GE. XINPUT(2) .AND. XINPUT(1) .LE. XINPUT(3))THENFTEST1     37
            OUTPUT(1) = 1.0                                             FTEST1     38
         ELSE                                                           FTEST1     39
            OUTPUT(1) = 0.0                                             FTEST1     40
         ENDIF                                                          FTEST1     41
      END IF                                                            FTEST1     42
C                                                                       FTEST1     43
      RETURN                                                            FTEST1     44
C                                                                       FTEST1     45
      END                                                               FTEST1     46
